MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006762ardourbugspublic2016-02-04 06:162016-02-16 19:08
ReporterLeatuspenguin 
Assigned Totimbyr 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSKXStudioOS Version14.04
Product Version 
Target VersionFixed in Version4.7 
Summary0006762: MIDNAM note read outs don't work when dragging MIDI notes
DescriptionWhen you load a MIDNAM file that includes custom note names, example AVL-Drumkits, custom note names don't apply while dragging MIDI hits between notes. Tested with Ardour 4.6 bundle.

Steps To Reproduce- Load up AVL-Drumkits MIDNAM file
- Add some notes with mapped names, eg '38 SnareCtr'
- Click and drag on a mapped note, eg '38 SnareCtr'. Move this note up the piano roll and you will notice the custom mapped names become generic names. Moving back to '38 SnareCtr' will now just read out 'D2 (38)'.
Additional InformationAVL-Drumkits MIDNAM files can be found here - http://www.bandshed.net/sounds/midnams/AVL-Drumkits-1.0-Midnams.zip [^]
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0017897)
timbyr (developer)
2016-02-10 15:08

This should now be fixed in ardour master as of revision 90e35c7143 or nightly build >= 4.6.284

Please confirm, thanks.
(0017898)
Leatuspenguin (reporter)
2016-02-10 15:16

Fix confirmed. Thank you.
(0017959)
timbyr (developer)
2016-02-16 19:08

Reopening so this issue so it can be marked as resolved in 4.7.

Closed status is for issues that are either old or not relevant and are not going to be modified.

- Issue History
Date Modified Username Field Change
2016-02-04 06:16 Leatuspenguin New Issue
2016-02-10 15:08 timbyr Note Added: 0017897
2016-02-10 15:08 timbyr Assigned To => timbyr
2016-02-10 15:08 timbyr Status new => feedback
2016-02-10 15:16 Leatuspenguin Note Added: 0017898
2016-02-10 15:16 Leatuspenguin Status feedback => assigned
2016-02-10 15:16 Leatuspenguin Status assigned => closed
2016-02-10 15:16 Leatuspenguin Resolution open => fixed
2016-02-16 19:08 timbyr Note Added: 0017959
2016-02-16 19:08 timbyr Status closed => feedback
2016-02-16 19:08 timbyr Resolution fixed => reopened
2016-02-16 19:08 timbyr Status feedback => resolved
2016-02-16 19:08 timbyr Fixed in Version => 4.7
2016-02-16 19:08 timbyr Resolution reopened => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker